// Copyright 2004, FreeHEP.
package hep.wired.feature;

import hep.wired.services.Feature;

import java.awt.geom.Rectangle2D;

/**
 * Can calculate a bounding box for the plot.
 * 
 * @author Mark Donszelmann
 * @version $Id: HasBoundingBox.java 8598 2006-08-14 20:38:02Z duns $
 */

public interface HasBoundingBox extends Feature {

    public Rectangle2D getBoundingBoxForPlot();
}
