// Copyright 2004, FreeHEP.
package hep.wired.feature;

import hep.wired.services.Feature;

/**
 * Can rotate viewpoint in Z-plane.
 * 
 * @author Mark Donszelmann
 * @version $Id: Rotateable2D.java 8598 2006-08-14 20:38:02Z duns $
 */

public interface Rotateable2D extends Feature {

    /**
     * Rotates viewpoint in Z-plane over theta radians.
     */
    public void rotate(double theta);
}
