// Copyright 2004, FreeHEP.
package hep.wired.feature;

import hep.wired.services.Feature;

/**
 * Can rotate viewpoint over arbitrary vector in 3D.
 * 
 * @author Mark Donszelmann
 * @version $Id: Rotateable3D.java 8598 2006-08-14 20:38:02Z duns $
 */

public interface Rotateable3D extends Feature {

    /**
     * Rotate theta radians over unit vector (nx,ny,nz).
     */
    public void rotate(double theta, double nx, double ny, double nz);
}
