// Copyright 2004-2005, FreeHEP.
package hep.wired.util;

/**
 * Constants for indices into XYZ arrays.
 * 
 * @author Mark Donszelmann
 * @version $Id: XYZindices.java 8598 2006-08-14 20:38:02Z duns $
 */

public interface XYZindices {

    /**
     * Index for X in xyz
     */
    public final static int X = 0;

    /**
     * Index for Y in xyz
     */
    public final static int Y = 1;

    /**
     * Index for Z in xyz
     */
    public final static int Z = 2;
}
