// Copyright 2005, FreeHEP.
package hep.wired.util.slider;


/**
 * Like BoundedRangeModel but for number values.
 * 
 * @author Mark Donszelmann
 * @version $Id: BoundedIntegerRangeModel.java 8598 2006-08-14 20:38:02Z duns $
 */
public interface BoundedIntegerRangeModel extends BoundedNumberRangeModel {

    public int getMinimum();

    public void setMinimum(int minimum);

    public int getMaximum();

    public void setMaximum(int maximum);

    public int getValue();

    public void setValue(int value);

    public int getExtent();

    public void setExtent(int extent);

    public int getDefaultValue();

    public void setDefaultValue(int def);

    public void setRangeProperties(int value, int extent, int min, int max,
            int def, boolean adjusting);
}
