// Copyright 2005, FreeHEP.
package hep.wired.util.slider;

import javax.swing.event.ChangeListener;

/**
 * Like BoundedRangeModel but for number values.
 * 
 * @author Mark Donszelmann
 * @version $Id: BoundedNumberRangeModel.java 8598 2006-08-14 20:38:02Z duns $
 */
public interface BoundedNumberRangeModel {

    public boolean getValueIsAdjusting();
    public void setValueIsAdjusting(boolean adjusting);
    
    public void addChangeListener(ChangeListener a);
    
    public void removeChangeListener(ChangeListener r);
}
