// Copyright 2005, FreeHEP.
package hep.wired.variable;

import javax.swing.event.ChangeListener;

import org.freehep.xml.io.XMLIO;
import org.jdom.Element;

/**
 * 
 * @author Mark Donszelmann
 * @version $Id: Variable.java 8598 2006-08-14 20:38:02Z duns $
 */

public interface Variable extends Comparable, XMLIO {
    public void addChangeListener(ChangeListener listener);

    public void removeChangeListener(ChangeListener listener);

    public String getName();

    public Object getObject();

    public Object getValue();

    public boolean setValue(Object value);

    public String getUnit();

    public String getDescription();

    public boolean isEnabled();

    public void setEnabled(boolean state);

    public void saveValue(Element element);

    public void restoreValue(Element element);

    public String toString();
}
